Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector

Name

### z

Examples

    PVector v;

    void setup() {
      size(100, 100);
      v = new PVector(20.0, 30.0, 40.0);
      println(v.x);  // Prints "20.0"
      println(v.y);  // Prints "30.0"
      println(v.z);  // Prints "40.0"
      v.z = 50.0;
      println(v.z);  // Prints "50.0"
    }

Description | The z component of the vector. This field (variable) can be used to both get and set the value (see above example.)

Syntax

    vec.z

Parameters

vec | any variable of type PVector

Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST